## cdbfasta 0.99-20100722

=== debian/changelog ===
cdbfasta (0.99-20100722-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:35:54 +0100

cdbfasta (0.99-20100722-6) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Saira Hussain ]
  * Add autopkgtest

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/copyright
  * Fix hardening

 -- Saira Hussain <saira.h0213@zoho.com>  Wed, 31 Jul 2019 18:51:18 +0200

cdbfasta (0.99-20100722-5) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Fri, 19 Oct 2018 15:13:03 +0200

cdbfasta (0.99-20100722-4) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 13 Nov 2017 22:24:59 +0100

cdbfasta (0.99-20100722-3) unstable; urgency=medium

  * Fake watch file
  * cme fix dpkg-control
  * debhelper 10
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2017 22:12:48 +0100

cdbfasta (0.99-20100722-2) unstable; urgency=medium

  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jan 2016 09:36:11 +0100

cdbfasta (0.99-20100722-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #696233)
  * debian/cdbfasta_usage.html: Add separate upstream documentation
  * debhelper 9 (control+compat) + some manual changes for hardening

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2012 16:41:28 +0100

cdbfasta (0.981-20100722-1ubuntu3) lucid; urgency=low

  * Moved manpage generation to debian/rules as per advice from Charles Plessy
  * Quick and dirty workaround for Lintian false positive (error message
    was being seen as evidence of statically linked ZLib).

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 11 Apr 2011 14:43:39 +0100

cdbfasta (0.981-20100722-1ubuntu2) lucid; urgency=low

  * Continued work on package - added basic manapages
  * Changed description in control file

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 08 Apr 2011 18:05:51 +0100

cdbfasta (0.981-20100722-1) UNRELEASED; urgency=low

  * First preparation

 -- Steffen Moeller <moeller@debian.org>  Thu, 02 Dec 2010 19:02:35 +0100
