=== debian/control ===
Source: cdbfasta
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Tim Booth <tbooth@ceh.ac.uk>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               zlib1g-dev,
               help2man
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/cdbfasta
Vcs-Git: https://salsa.debian.org/med-team/cdbfasta.git
Homepage: http://cdbfasta.sourceforge.net/

Package: cdbfasta
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Constant DataBase indexing and retrieval tools for multi-FASTA files
 CDB (Constant DataBase) can be used for creating indices for quick
 retrieval of any particular sequences from large multi-FASTA files.
 It has the option to compress data records in order to save space.
