## cdbfasta 1.00+git20181005.014498c+dfsg

=== debian/changelog ===
cdbfasta (1.00+git20181005.014498c+dfsg-4build1) jammy; urgency=medium

  * No-change rebuild against libgclib3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 00:06:09 +0000

cdbfasta (1.00+git20181005.014498c+dfsg-4) unstable; urgency=medium

  * Mark Multi-Arch: foreign
    Closes: #962675
  * Drop Tim Booth from Uploaders (Tim thanks for all your work on this
    package)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Dec 2021 12:25:25 +0100

cdbfasta (1.00+git20181005.014498c+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.0 (routine-update)
  * add cppflags.patch to apply CPPFLAGS and fortify functions

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Oct 2021 00:09:23 +0200

cdbfasta (1.00+git20181005.014498c+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne]
  * Team upload.
  * Improve cross building: (Closes: #980128)
    + cross.patch: Make pkg-config substitutable.
    + d/rules: Pass a triplet-prefixed g++.

  [ Nilesh Patra ]
  * Declare compliance with policy 4.5.1

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 14 Jan 2021 20:32:35 +0100

cdbfasta (1.00+git20181005.014498c+dfsg-1) unstable; urgency=medium

  * Point homepage to Github
  * d/watch: use git mode
  * Remove code copy of gclib
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Sat, 13 Jun 2020 12:34:42 +0200
