=== debian/control ===
Source: cdbfasta
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               zlib1g-dev,
               pkg-config,
               libgclib-dev,
               help2man
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/cdbfasta
Vcs-Git: https://salsa.debian.org/med-team/cdbfasta.git
Homepage: https://github.com/gpertea/cdbfasta
Rules-Requires-Root: no

Package: cdbfasta
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Constant DataBase indexing and retrieval tools for multi-FASTA files
 CDB (Constant DataBase) can be used for creating indices for quick
 retrieval of any particular sequences from large multi-FASTA files.
 It has the option to compress data records in order to save space.
