=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,13 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/buildtools.mk
 
 %:
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- LINKER="g++ $(LDFLAGS)"
+	dh_auto_build -- LINKER="$(CXX) $(LDFLAGS)"
 
 override_dh_installman:
 	help2man --no-info --no-discard-stderr --version-option=-v ./cdbfasta |\
