## cdbfasta 1.00+git20230710.da8f5ba+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 GCLDIR := ./gclib
 SEARCHDIRS := -I${GCLDIR}
-CC      := g++
+# Use the correct compiler (CXX, not CC) and respect the environment
+# by using ?=
+CXX    ?= g++
 
 BASEFLAGS  = -Wall ${SEARCHDIRS} $(MARCH) -DENABLE_COMPRESSION=1 -D_FILE_OFFSET_BITS=64 \
 -D_LARGEFILE_SOURCE -fno-exceptions -fno-rtti -fno-strict-aliasing \
@@ -9,39 +11,38 @@
 
 ifeq ($(findstring debug,$(MAKECMDGOALS)),)
   DBGFLAGS = -O2 -g -DNDEBUG
-  LDFLAGS =
 else
   DBGFLAGS = -g -DDEBUG -D_DEBUG
-  LDFLAGS = -g
+  LDFLAGS += -g
 endif
 
 ifeq ($(findstring nommap,$(MAKECMDGOALS)),)
-  CFLAGS = $(DBGFLAGS) $(BASEFLAGS)
+  CXXFLAGS += $(DBGFLAGS) $(BASEFLAGS)
 else
-  CFLAGS = $(DBGFLAGS) $(BASEFLAGS) -DNO_MMAP
+  CXXFLAGS += $(DBGFLAGS) $(BASEFLAGS) -DNO_MMAP
 endif
 
 %.o : %.c
-	${CC} ${CFLAGS} -c $< -o $@
+	${CXX} ${CXXFLAGS} -c $< -o $@
 
 %.o : %.cc
-	${CC} ${CFLAGS} -c $< -o $@
+	${CXX} ${CXXFLAGS} -c $< -o $@
 
 %.o : %.C
-	${CC} ${CFLAGS} -c $< -o $@
+	${CXX} ${CXXFLAGS} -c $< -o $@
 
 %.o : %.cpp
-	${CC} ${CFLAGS} -c $< -o $@
+	${CXX} ${CXXFLAGS} -c $< -o $@
 
 %.o : %.cxx
-	${CC} ${CFLAGS} -c $< -o $@
+	${CXX} ${CXXFLAGS} -c $< -o $@
 
 # C/C++ linker
 
-LINKER    := g++
+LINKER    := ${CXX}
 #LDFLAGS = 
 #uncomment this when ENABLE_COMPRESSION
-LDFLAGS    = -lz
+LDFLAGS    += -lz
 
 .PHONY : all
 all:    cdbfasta cdbyank
