=== debian/changelog ===
cdbfasta (1.00+git20230710.da8f5ba+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Nov 2023 16:25:27 +0100
