=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cdbfasta
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -10,7 +9,7 @@
                pkg-config,
                libgclib-dev,
                help2man
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cdbfasta
 Vcs-Git: https://salsa.debian.org/med-team/cdbfasta.git
 Homepage: https://github.com/gpertea/cdbfasta
