=== debian/watch ===
version=4

opts="mode=git,pretty=1.00+git%cd.%h,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
    https://github.com/gpertea/cdbfasta.git HEAD

# FIXME: as for release tags
